# -*- coding: utf-8 -*-

from django.conf import settings
from django.core.files.storage import default_storage
from django.db import transaction
from django.http import JsonResponse
from django.shortcuts import render, redirect

from operation.models import LatestAppInfo, SplashInfo


def upgrade_api(request):
    try:
        appinfo = LatestAppInfo.objects.all()[0].data
    except IndexError:
        appinfo = {}

    return JsonResponse({
        'status': 200,
        'message': u'获取最新版信息成功',
        'data': {
            'appinfo': appinfo,
        },
    })


def splash_api(request):
    splashes = SplashInfo.objects.all()
    splashes = [splash.data for splash in splashes]

    return JsonResponse({
        'status': 200,
        'message': u'获取最新版信息成功',
        'data': {
            'splashes': splashes,
        },
    })
